aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorJoris2022-06-11 16:42:33 +0200
committerJoris2022-06-11 16:42:33 +0200
commit03197b1ab992540b951fcbc6f841cfcd42a757f3 (patch)
tree2eb5277462b8dfef41e901a945f251725fb7ad8f /bin
parent70c672535f36edaeaf1d63d4637830b564271c34 (diff)
Add kick sequencer
Diffstat (limited to 'bin')
-rwxr-xr-xbin/watch.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/watch.sh b/bin/watch.sh
new file mode 100755
index 0000000..f93ce18
--- /dev/null
+++ b/bin/watch.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+# Run server
+
+python -m http.server --directory public 8000 &
+trap "fuser -k 8000/tcp" EXIT
+
+# Watch TypeScript
+
+CHECK="echo Checking TypeScript… && tsc --checkJs"
+BUILD="esbuild --bundle src/main.ts --target=es2016 --outdir=public"
+watchexec \
+ --clear \
+ --watch src \
+ -- "$CHECK && $BUILD"